#
# spec file for package yast2-gtk
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           yast2-gtk
Version:        2.21.93
Release:        1.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Url:            http://en.opensuse.org/YaST2-GTK
Summary:        YaST2 - GTK+ Graphical User Interface
Group:          System/YaST
License:        GPL v2.1 or later
BuildRequires:  cmake
BuildRequires:  blocxx-devel gcc-c++ libxcrypt-devel
BuildRequires:  gtk2-devel
%if 0%{?suse_version} > 1130
BuildRequires:  gdk-pixbuf-devel
%endif
BuildRequires:  yast2-devtools >= 2.16.3
BuildRequires:  yast2-libyui-devel >= 2.18.8
BuildRequires:  libzypp-devel >= 6.3.0
Requires:       gtk2
Requires:       yast2-libyui >= 2.18.8
Requires:       yast2_theme >= 2.16.1
Requires:       libzypp >= 6.3.0 
Provides:       yast2_ui yast2-ui-gtk
Provides:       yast2_ui_pkg
Source1:        yast2-gtk-rpmlintrc 

%description
One of several user interfaces available for YaST2, based on GTK and
the X Window System.

%prep
%setup

%build
mkdir build
cd build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      ..
make %{?_smp_mflags} VERBOSE=1

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
cd ..

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%dir %_libdir/YaST2
%_libdir/YaST2/plugin/

%changelog
* Fri Apr  1 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.93
- backport trunk fixes:
- firewall tool crash fix (bnc#677007)
* Fri Feb 11 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.92
- fixed freeze in webpin search tool, and possibly others
  (bnc#670625).
* Tue Feb  8 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.91
- fixed compatibility with upcoming yast2-libyui 2.20.1.
* Tue Feb  1 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.90
- printer crash fix: printer tool was misbehaving, somestimes
  crashing, when selecting tree item. (Reported by Atri Bhattacharya.)
* Fri Jan 28 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.89
- sw_single bug fix: the versions box is showing the to-install
  as marked for all versions, not merely the one who is actually
  going to get installed. (Reported by Atri.)
* Thu Jan 20 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.88
- sw_single: using buttons instead of radios for the
  versions-box.
- allow moving window by dragging the header.
* Wed Jan  5 2011 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.87
- bug fix: YTree was crashing with new libyui
- YMultiSelectionBox and YTree: show selection count
  when main widget
- sw_single: show "re-install" popup menu option
  for single package selections.
* Thu Dec 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.86
- bug fix: combo box honor selection flag.
* Thu Dec 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.85
- cope with upcoming libyui 2.19.2: implemented new
  YTree::multi-selection flag.
* Wed Dec 15 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.84
- code to close packagekit deamon when running will be moved
  to the sw_single ycp level (bnc#659522)
* Thu Dec  9 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.83
- fix: can't use combo-box popup menu when items are too
  long (bnc#595560).
- table fix: not showing all popup entries on right-click.
- log view fix: fixed flickering, and allow user to freely
  scroll.
- sw_single: use same height for "all packages" item, and
  keep items sorted by name when sorting by status or another
  column.
* Wed Nov 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.82
- tables: when pressing the context-menu key, show the popup
  menu next to the selected row, not under the mouse cursor.
- sw_single: use bold for "all packages" or "all patches" row.
* Mon Nov  1 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.81
- fix build for 11.2 (added cmake requirement version).
* Mon Nov  1 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.80
- fix: show the software manager header bar.
* Sun Oct 31 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.79
- work-around bug in global-menubar-applet, which isn't
  showing the software manager menu bar (bnc#595560)
- improved performance of the upgrades filter.
* Wed Oct 20 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.78
- fixes crash on inetd when sorting table (bnc#620513)
* Fri Oct  8 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.77
- another string review.
- added mnemonics to menu-bar.
* Thu Oct  7 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.76
- sw_single: run solver at end, fixes bnc#620513.
- rpm spec fix (now compatible with both 11.3 and factory).
- got rid of included FindGTK2.cmake module.
- overall string review.
- text domain changed from "yast2-gtk" to "gtk".
* Mon Aug 30 2010 vuntz@opensuse.org
- Add yast2-gtk-fix-FindGTK2-gdk-pixbuf.patch to fix build with
  gtk2 2.21.x: gdk-pixbuf was split and the include paths are
  different now.
* Mon Aug 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.70
- sw_single: package count wrong on the filters box when
  show-debug or show-devel when de-selected (bcn#632377)
- fixed potential crash when file picking file of esoteric
  filename (bnc#633173)
- window size too small when using big fonts: correlate
  window size to font size (bnc#633498)
* Mon Jul 26 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.69
- sw_single: fix file > import / export menu items (bcn#624310)
* Wed Jul 14 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.68
- sw_single: fixed duplicate separator item in context menu.
* Wed Jul 14 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.67
- build for bnc#620513 patch.
* Tue Jul 13 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.66
- adjust window size to cope with big fonts.
* Mon Jul 12 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.65
- more comsmetic fixes related to bnc#620513.
* Sat Jul 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.64
- comsmetic fixes related to bnc#620513.
* Sat Jul 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.63
- typo correction.
* Sat Jul 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.62
- fix sw_single post-procedure scrolling glitch.
* Sat Jul 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.61
- dependencies box sometimes freezes when open (bnc#620513).
* Tue Jul  6 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.60
- versions box not visible enough: swap position with
  details box (bnc#620513).
* Mon Jul  5 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.59
- ommit online-update configuration menu item when
  not running online-update (bnc#609778s)
* Fri Jul  2 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.58
- sw_single window too big for some screens (bnc#618951)
* Sat Jun 26 2010 badshah400@gmail.com
- 2.21.57
- don't steal window focus (bnc#615927)
* Sun Jun 13 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.56
- don't reset zypp options.
- omit options menu for online update.
* Fri Jun 11 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.55
- qt plugin gap: "cleanup deps" and "allow vendor" flags
  missing.
* Tue Jun  8 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.54
- honor run solver dialog's cancel button, on switch repository.
* Tue Jun  8 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.53
- internationalization of some files broken (bnc#610313)
- solver not automatically run on repository switch and
  on a couple of the menus, when dependencies check enabled.
* Sun Apr 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.52
- sw_single: undo window: show 'inconsistent' when
  env variable PKGMGR_ACTION_AT_EXIT==summary.
* Sun Apr 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.51
- sw_single: upgrades: don't lose patch information after
  package is set for upgrade.
* Fri Apr 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.50
- sw_single: history window: fixed potential crash.
* Fri Apr 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.49
- sw_single: history window fix: show downgrades and
  re-installs as such, not upgrades.
- sw_single list: show patch mark next to version number,
  not name.
* Fri Apr 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.48
- sw_single: added patch mark for upgrades.
* Fri Apr 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.47
- sw_single: bug fix: patches were being (redundantly)
  marked as "auto" in the history window.
* Thu Apr 22 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.46
- sw_single: bug fix: ups: broke the is-installed flag
  for patterns in the previous version.
- sw_single (main list and history dialog): bug fix: on
  arabic, tooltips were showing in the wrong columns.
- sw_single: don't show patterns view when none is available.
* Wed Apr 21 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.45
- online_update: several fixes, that encompassthe list and the
  version widgets.
* Tue Apr 20 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.44
- sw_single: fixed visually disconsonant sub-lines between
  the package lists and the repository/pattern ones.
* Tue Apr 20 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.43
- online_update: several fixes, especially in the versions
  lists.
- sw_single: bug fix: history window wouldn't function
  when closing by pressing Escape.
- sw_single: bug fix: upgrade button wouldn't show up.
- sw_single: show summary lines in gray.
* Mon Apr 19 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.42
- wizard & sw_single: several bug fixes for users of
  esoteric color schemes.
* Mon Apr 19 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.41
- sw_single: fix patterns filter padding on the headers.
* Mon Apr 19 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.40
- sw_single: fix glitches while loading the sidebar count
  numbers.
* Sun Apr 18 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.39
- sw_single: bug fix: upgrade button should not be selected
  when the button presses anywhere in the column it is in.
* Thu Apr 15 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.38
- sw_single: arabic fixes on the detail box.
- table: using gtk stock image renderer.
* Wed Apr 14 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.37
- sw_single: added visual feedback that history dialog may
  take a bit to load, and cached it for repetitive use.
* Sun Apr 11 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.36
- sw_single: some polishing to the history dialog.
* Sun Apr 11 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.35
- sw_single: added go-to as a context-menu entry to the
  history dialog.
* Sun Apr 11 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.34
- sw_single: fixed crash on history dialog when parsing some
  logs.
- selection-box, multi-box and tree widgets: fixed crash on
  right-click.
* Sat Apr 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.33
- sw_single: several improvements to the "history of changes"
  window.
- over-load GTK Arabic treatment for lists and trees (bnc#594840)
* Fri Apr  2 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.32
- sw_single: bug fix: find entry didn't show clear icon when
  requires or provides links were clicked.
- button icons: map icons for untranslated terms.
* Thu Apr  1 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.31
- sw_single: added history of changes dialog.
- sw_single: align side-bar count number to the right.
* Thu Mar 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.30
- sw_single: speed up query a little bit.
- sw_single: show busy cursor when modifying some list item.
- sw_single: disable Lock context-menu item when package is being
  installed or remove, in which case it won't have an effect.
  And replaced I/U/R by Undo when package changed.
* Thu Mar 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.29
- sw_single: bug fix2: highlight could (still) get mangled
  when searching for more than one keyword, when the 2nd was part
  of a tag.
* Thu Mar 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.28
- sw_single: bug fix: various glitches when searching for
  certain small sub-strings.
- sw_single: speed fix: pin-down the cause of the overall
  slowness of a query update.
* Wed Mar 24 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.27
- sw_single: improved yielding of our refresh pseudo-thread.
* Sun Mar 21 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.26
- fixed crash when clicking on the search patterns tooltip.
* Sun Mar 21 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.25
- repo view: added undo button.
- bug fix: repositories count was broken, as was the 'none' entry.
- wizard look: set buttons spacing.
* Sun Mar 21 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.24
- changed pkg-manager refresh strategy: it should feel faster.
* Thu Mar 18 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.23
- fixed potential crash.
* Thu Mar 18 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.22
- look fix: enlarge wizard and dialog buttons to reflect settings
  from GtkButtonBox.
- look fix: use yellow color for search entry when changed like
  Rhythmbox and other gnome apps.
* Tue Mar 16 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.21
- wrong installed number in pattern list (bnc#588561)
* Thu Mar 11 2010 ro@suse.de
- added rpmlintrc as source in the specfile
* Wed Mar 10 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.20
- changed undo line and dialog as response to feedback
  by Atri Bhattacharya.
- undo line fix: truncate text when there is not enough
  room.
* Fri Mar  5 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.19
- software manager fixes:
- ensured description view visible by default in small
  displays.
- fixed crash on search with trailing whitespace.
- show better status-bar string for initial packages set
  for install after installing a new system.
* Thu Mar  4 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.18
- online_update enhancements.
* Wed Mar  3 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.17
- fixed strings untranslated (bnc#582148)
* Thu Feb 25 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.16
- several small icon fixes (bnc#582536), (bnc#582560),
  (bnc#582533).
* Wed Feb 24 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.15
- change fallback icon for the expert button to Edit (bnc#581800).
* Wed Feb 24 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.14
- GTK maps some icons wrongly (bnc#581800).
* Wed Feb 24 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.13
- software manager bug fix: fixed the dependencies
  links to search only for the package name.
* Tue Feb 23 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.12
- html renderer: <li> element and headers ending with colon were
  not being given right-to-left treatment for languages like Arabic
  (bnc#581800).
* Mon Feb 22 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.11
- extend previous fix to groups of packages.
* Mon Feb 22 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.10
- revert user change when he clicks Cancel on the dependency
  solver.
* Sun Feb 21 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.1 - 2.21.9
- build attempts.
* Fri Feb 19 2010 rpmcruz@alunos.dcc.fc.up.pt
- 2.21.0
- Many UI fixes and improvements to the software manager and
  online update.
- software manager code now resides in its own library, linked
  only when needed.
- several bug fixes.
* Tue Oct 27 2009 coolo@novell.com
- cherry pick gcc 4.4 issues
* Wed Oct 21 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.20.1 - 2.20.5
- build attempts.
* Wed Oct 21 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.20.0
- revert to 11.1 code (bcn#547075).
* Fri Oct 16 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.17
- fixes crash on online_update (on applies-to property).
* Fri Oct 16 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.16
- improved speed up fix: only query libzypp when
  respective expander is open.
- bug fix: don't over-suffix "B" to size strings.
- popup confirm dialog, rather than having the user to
  double-click apply button.
- don't disable installed tab on repositories view.
- disable version action button if the action is already
  undertaken.
* Fri Oct  2 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.15
- another try.
* Fri Oct  2 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.14
- trigger rebuild.
* Thu Oct  1 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.13
- bug fix: failing to map packages to a couple of categories.
- speed fix: improved startup speed.
* Wed Sep 30 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.11
- bug fix: package details box now respond to scroll keys.
* Thu Sep 24 2009 rpmcruz@alunos.dcc.fc.up.pt
- 2.19.10
- package manager got a face re-lift
- fire the browser as the session's user (bcn#523694).
- table selection ignored for a few seconds (bnc#513085).
- complement our label mapping strategy with an array
  of translatable yast2 labels (bnc#446524)
- always use black color on the text against the white
  background regardless style (bnc#471059).
- don't show lock&remove options for patterns (bnc#489016).
* Thu Jun  4 2009 mkudlvasr@novell.com
- teared away PackageSelector. It now resides in a separate plugin
  package yast2-gtk-pkg
* Thu Jun  4 2009 coolo@novell.com
- adapt to new libzypp
- 2.18.1
* Mon Apr 27 2009 coolo@suse.de
- fix compilation with gcc 4.4
- 2.18.0
* Wed Jan  7 2009 michael.meeks@novell.com
  * label / tick spacing in wizard #449320#
  * table multi-select fix #460746#
  * layout / alignment fix #460728#
  * another Arabic fixes #449627#, #449600#
  * fixed issue with small displays #442052#
  * fixed labeling and button icon problems. #449740#, #446524#
  * fix window / titling issues #449385#, #449194#
  * package selector fixes #457563#, #448309#, #459313#
  * misc. other fixes #443214#, #446352#, #445950#
* Mon Dec  1 2008 coolo@suse.de
  * fixes to cope with Arabic and other languages of
  a right-to-left writing style.
  * 2.17.8
* Fri Nov 21 2008 coolo@suse.de
  * fixed online update (bnc#446352)
  * fixed patterns order.
  * 2.17.7
* Wed Nov 19 2008 coolo@suse.de
- new version on behalf of Ricardo: 2.17.6
  * a couple of esoteric yet nasty bugs (read:
  crashes) have since been fixed.
  (bnc#442052 & bnc#445158)
* Sun Nov  9 2008 coolo@suse.de
- Update to 2.17.5
  * several fixes in the wizard and package selector
- fix spec file to build
* Wed Oct 29 2008 michael.meeks@novell.com
- Update to 2.17.4
  * sizing fixes to wizard, partition splitter, ratiobox
  * improved tooltips
  * package selector fixes: updated zypper API use,
    add unsupported support, updated recent spin box, png
    icons, ergonomic fixes, sync groups with qt, support
    non-edit mode
  * bar graph color fixes
  * help / history
  * selectable multi-line labels
  * fixes to scrolling widgets
* Mon Oct 13 2008 michael.meeks@novell.com
- Update to 2.17.3
  * fix up unit tests
  * fix strechability & sizing
* Wed Oct  8 2008 michael.meeks@novell.com
- Update to 2.17.2
  * tons of bug fixes: 428974, 432705, 428965, 428965,
    428193, 428162, 388172 including:
  * improved accessibility support: dialog roles, wizard overview
  * improved tooltip support, and new tooltips
  * use WebKit for better html rendering
  * fix g_log redirection crasher
  * support background image with html
  * use gtk+ stock icons for stock dialogs
* Tue Sep 30 2008 kmachalkova@suse.cz
- Update to 2.17.1
  * YGDialog: support for setDialogTitle().
  * ygtkfindentry: added support embed context menu which pairs the find icon to
    the menu item.
  * YGPackageSelector: changed find entry check-based menu popup to
    a criteria choice one.
  * ygtkfindentry: added auto-completion support.
  * makes progress bar a bit smoother.
  * show download size in the progress bar.
  * bnc #421794: clean any emitted event when destroyed. The new
    libyui crashes when doing YWidget::isValid()
  * YGText: set MultiLineEdit wrap mode as WORD_CHAR.
  * YGDialog: only enable spy code for recent libyuis.
  * YGTable: expand tree's row when selected
  * YGPushButton: only enable role code for recent libyuis.
    Also moved helpButton support to set icon code.
  * added support for YDialog::highlight()
  * coupled dumpGtk and dumpYast trees into the same dialog
  * YGPackageSelector: fixed context menu for objects like Language
    that can't be locked.
  * YGUtils: added fallback to setStockIcon().
  * YGPushButton: use Role as a fallback to derive the stock icon.
  * YGWizard: made the wizard button wrappers to change the button
    label & etc through the YGtkWizard API
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Tue Sep  9 2008 visnov@suse.cz
- Update to 2.17.0
  * added support for Languages in package selector
  * fixed Pattern installed status.
  * got rid of patterns remove button.
  * clear search entry on UI change.
  * bug fix: not syncing icon properly when entry text was deleted by
  instruction as an insert is triggered.
  * redirect GTK log messages to libyui system.
  * enable html parsing warnings that go to libyui.
  * fixed repositories query (related to bnc #418781).
  * scaping the URL as some characters (like &) were confusing the Pango parser.
  Use the FILE stock icon for the ISO.
* Tue Sep  9 2008 jpr@novell.com
- Update to 2.16.18
  * use "Software Manager" instead of "Package Selector" for
  consistency (bnc #418781)
  * follow GNOME HIG for button layout
  * when filtering a repository, the most appropriate version wasn't
  the one selected (bnc #418896)
  * catch null package repo (bnc #418781)
  * use title capitalization for group names (bnc #418676)
  * add ATK hooks so the screen reader does its job in pixbuf cell
  renderer (bnc #416554)
  * show bugzilla entries in patch description
  * ygtkrichtext glitches (bnc #396692, bnc #404817)
  * fix occasional crash in printer tool
  * show arch for Version and url for Repository
  * new widgets: handlebox, linklabel
  * tabs can now have shortcuts: honor them (bnc #411890)
* Tue Jul 22 2008 jpr@novell.com
- Update to 2.16.17
  * extra whitespace typo in a string (bnc#383897)
  * honor flag for last column (bnc#410341)
  * let the wrapper do an initial check on changes (bnc#400635)
  * implement YTable's multiSelection flag
  * implement shortcutChanged() to set tab labels shortcuts
  * implement setHelpButton() set the help stock icon
  * remove the space for the expanders if the side navegation bar
  is a plain list, as is the case for the firewall tool
  * tweaked some icons as suggested (bnc#404818)
  * don't always iuse the label "upgrade" if re-installs or
  downgrades (bnc#404382)
  * keyboard mnemonics for install/remove buttons (bnc#399256)
  * consider a pattern or a patch installed or not using
  isSatisfied() like yast2-qt. Also made initial patterns loading
  faster. And removed some checks on patches that were causing them
  not to be displayed (bnc#402855)
  * added a background for <pre>.
* Sun Jun 22 2008 jpr@suse.de
- Update to 2.16.16
  * fixed bnc#402316: run the dependency solver at the startup.
  * fixed bnc#402262: fix textdomain error when packaging.
  * fixed bnc#401767: popup menu install entry was using the remove
    icon, while the remove entry was using the
  install icon.
* Fri Jun 20 2008 jpr@suse.de
- Update to 2.16.15
  * fixed bnc#401336: unable to resize column in sysconfig editor
  * fixed bnc#386410: label widgets are set uppercase.
  * fixed bnc#401835: if radio buttons weren't set in a radio group,
    then they'd crash when clicked
  * fixed bnc#401228: "Children widgets aren't disabled in gtk ui
  * fixed bnc#401285: HSpacing broken in gtk ui
  * fixed bnc#399465: for some package show empty software
    dependence window
  * fixed bnc#396692: glitches with breaklines and spaces around
    inline tag: for some package show empty
    software dependence window
* Sun Jun  8 2008 coolo@suse.de
- Update to 2.16.14
  * fixed bnc#395484: Wrong check that assumed error was set, crashing...
  * fixed bnc#396731: popup menu from the button up when near the bottom corner.
  * fixed bnc#396360: ignoring the alignment for the last column, so it aligns left
  * fixed bnc#396033: Some minor bug
  * fixed bnc#393143: cursor ownership was not judged properly
  * fixed bnc#398272: enable scroll bar on Filtered Repositories
* Tue Jun  3 2008 coolo@suse.de
- Update to version 2.16.13
  * tag more missing strings for translation (bnc#395803)
  * fixed bnc#395484
  * various fixes in the package selector by Ricardo
* Mon May 19 2008 mmichael@suse.de
- Update to version 2.16.12
  * make PackageSelector more usable bnc #390471
  * impl. mnemonics on frames bnc #390244
  * fix window transience (hidden popups) bnc #389635
  * add recommended/selected to categories
  * tag main package-selector buttons for translation
  * calm progress bar warnings (for stupid values eg. -5%%)
* Wed May 14 2008 mmichael@suse.de
- Update to version 2.16.11
  * fix various 640x480 sizing problems
  * fix window-larger-than-screen issue bnc #373159
  * fix size allocation issue bnc #390031
* Mon May 12 2008 mmichael@suse.de
- Update to version 2.16.10
  * fix i18n issues
  * remove size cropping bnc #388715
  * fix focus issue bnc #388718
  * repo filter fix bnc #386536
* Wed May  7 2008 jpr@suse.de
- Update to version 2.16.9
  * only set 'fullscreen' on the main bnc #385563
  * property OpenItems of Tree widget broken bnc #381648
  * CurrentItem in Tree widget also grabs keyboard focus bnc #387114
  * allow for smaller windows bnc #381689, partly bnc #373159
  * Query items of DumbTab broken bnc #381195
  * support all radio buttons being disabled bnc #373160
  * property SelectedItems for widget MultiSelectionBox broken
  bnc #381746
  * debug message on abort User and Group Administration bnc #384135)
  * scroll YLog text down properly
  * finish button not highlighted bnc #384649
  * fix patterns installstate, and added popup with info about them
  like -qt.
  * added highlighting for exact package matches
  * add support for repoMgrEnabled bnc #381956
* Mon Apr 21 2008 jpr@suse.de
- Fix live installer sizing (bnc #381153)
- Combo box improvements
- Minor warning fixes
* Thu Apr  3 2008 coolo@suse.de
- adopt to latest libzypp
* Fri Mar 28 2008 jpr@suse.de
- don't hide package info/control view once shown (bnc #373474)
* Tue Mar 25 2008 coolo@suse.de
- update from SVN to compile with latest libzypp
* Thu Feb 28 2008 coolo@suse.de
- fix make dist
* Wed Feb 27 2008 coolo@suse.de
- make it link again
* Mon Feb 25 2008 sh@suse.de
- V 2.16.5
- Added "Provides: yast2_ui_pkg" to .spec file (bnc #363958)
* Thu Feb 21 2008 coolo@suse.de
- fix build
* Thu Feb 21 2008 coolo@suse.de
- compile against yast2-core and libzypp
- V 2.16.4
* Mon Feb  4 2008 coolo@suse.de
- adapt once more to latest yast2-core
* Thu Jan 31 2008 coolo@suse.de
- make it compile against latest yast2-core
* Sun Jan 27 2008 coolo@suse.de
- fix changelog
* Fri Jan 18 2008 coolo@suse.de
- Ricardo fixed make test
* Wed Jan 16 2008 coolo@suse.de
- update to latest yast2-core API
* Fri Jan 11 2008 btimothy@suse.de
- Updating the tarball directly from SVN Trunk revision to be
  version 2.15.9r43566 so the package won't fail to build anymore.
- Removed all the old patches since they are no longer necessary
  with newer code.
* Wed Oct 24 2007 btimothy@suse.de
- Include patches from SVN head to fix various package selector
  bugs.  Included are fixes for bugzilla.novell.com bugs: 300390
  300750, 300737, 330235, 330467, 336124.
* Sat Oct  6 2007 mmichael@suse.de
- n#300750: big speedup wrt. search / sort
* Tue Sep 25 2007 sreeves@suse.de
- Partial fix for Bug# 328213 - package selector untranslated
* Sun Aug 26 2007 mmichael@suse.de
- n#300390: warn if cancelling a non-submitted transaction.
* Fri Aug 10 2007 mvidner@suse.cz
- Finished integrating Feature #120292, UI as a namespace callable
  from yast2-*-bindings.
- 2.5.9
* Wed Aug  8 2007 mmichael@suse.de
- #296945: pulse progress bar impl.
- FaTE #302018: details on how to print the license
- 2.15.8
* Wed Aug  8 2007 mvidner@suse.cz
- Don't build-require yast2-devel-doc.
- 2.15.7.2
* Mon Aug  6 2007 mvidner@suse.cz
- Adapted to changes in yast2-core needed for making UI callable from
  yast2-*-bindings.
- 2.15.7.1
* Thu Jul 26 2007 jsrain@suse.cz
- removed yast2-devel from BuildRequires
- 2.15.7
* Mon Jul 23 2007 mmichael@suse.de
- fix crash-on-start n#293065
- fix uninitialized warnings
- fix empty-partition divide by 0 case
- 2.15.6
* Mon Jul 16 2007 jsrain@suse.cz
- adapted to new libzypp
- added support for translations
- 2.15.5
* Thu Jun 21 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.4, fixes many bugs, pwrt.
  package selector, improved search, multi-select for
  installations &, large scale robustness & functionality
  table-sorting fix, progress bar fix, initial easter-egg,
  add rpmlintrc to avoid complaints about plugin .so name
* Fri May 11 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.3, fixes #268146, #271716
  and improves package selector search / sort.
* Tue Apr 17 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.2, fixes upgrade.ycp
* Fri Mar 16 2007 mmichael@suse.de
- upgrade to yast2-gtk-2.15.1, several fixes, including #247682, #247683
* Wed Feb  7 2007 mmichael@suse.de
- update to yast2-gtk-2.15.0, fixes build and adds new Frame type
* Wed Aug 30 2006 cthiel@suse.de
- added yast2-gtk-autogen.patch to fix build with latests yast2-devtools
* Mon Aug 28 2006 cthiel@suse.de
- fix build
* Wed Aug 23 2006 mmichael@suse.de
- import yast2-gtk into autobuild.
